> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Counterparty Bank Account

> Get a counterparty bank account



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/counterparties/{counterparty_id}/bank_accounts/{counterparty_bank_account_id}
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/counterparties/{counterparty_id}/bank_accounts/{counterparty_bank_account_id}:
    get:
      tags:
        - counterparty_bank_accounts
      summary: Show counterparty bank account
      description: Show a counterparty bank account
      operationId: TrioFoundationWeb.Banking.Counterparty.BankAccountController.show
      parameters:
        - description: Counterparty ID
          in: path
          name: counterparty_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: Counterparty bank account ID
          in: path
          name: counterparty_bank_account_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Counterparty_bank_account_response'
          description: CounterpartyBankAccount
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Counterparty_bank_account_response:
      description: Body response of the counterparty bank account
      example:
        data:
          branch: '0001'
          counterparty_id: 018df099-093e-cfd1-4500-4c9392eb5d8a
          digit: '1'
          id: 018df099-093e-cfd1-4500-4c9392eb5d8a
          ispb: '12345678'
          number: '87654321'
          type: checking
      properties:
        data:
          $ref: '#/components/schemas/Counterparty_bank_account_response'
      title: Counterparty bank account response
      type: object

````